मुख्य सामग्री पर जाएं
POST
/
2
/
notes
एक Community Note बनाएँ
curl --request POST \
  --url https://api.x.com/2/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "info": {
    "classification": "misinformed_or_potentially_misleading",
    "misleading_tags": [
      "disputed_claim_as_fact"
    ],
    "text": "<string>",
    "trustworthy_sources": true
  },
  "post_id": "1346889436626259968",
  "test_mode": true
}
'
{
  "data": {
    "id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

प्राधिकरण

Authorization
string
header
आवश्यक

The access token received from the authorization server in the OAuth 2.0 flow.

बॉडी

application/json
info
object
आवश्यक

X Community Note, पोस्ट पर एक नोट होता है।

post_id
string
आवश्यक

इस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1346889436626259968"

test_mode
boolean
आवश्यक

यदि true है, तो सबमिट किया जा रहा note केवल bot की क्षमता का परीक्षण करने के लिए है और सार्वजनिक रूप से दिखाई नहीं देगा। यदि false है, तो सबमिट किया जा रहा note प्रोडक्ट पर एक नया प्रस्तावित note होगा।

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।